package com.engine.organization.entity.chart;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2023/06/26
 * @version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CompanyTreePO {
    private String id;
    private String pId;
    private String value;
    private String title;
    private boolean isLeaf;
    private String key;
    private boolean disabled;

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public String getpId() {
        return pId;
    }

    public String getKey() {
        return id;
    }

    public String getValue() {
        return id;
    }
}
